## org.eclipse.emf.common.util
Class BasicEMap.DelegatingMap

    java.lang.Object
      org.eclipse.emf.common.util.BasicEMap.DelegatingMap

All Implemented Interfaces:
  java.util.Map<K,V>, EMap.InternalMapView<K,V>

Direct Known Subclasses:
  URIMappingRegistryImpl.URIMapImpl

Enclosing class:
  BasicEMap<K,V>

    protected class BasicEMap.DelegatingMap

extends java.lang.Object
implements EMap.InternalMapView<K,V>

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`BasicEMap.DelegatingMap()`

Method Summary
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`EMap<K,V>` `eMap()` Returns the EMap view of the map.
`java.util.Set<java.util.Map.Entry<K,V>>` `entrySet()`
`boolean` `equals(java.lang.Object object)`
`V` `get(java.lang.Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Set<K>` `keySet()`
`V` `put(K key, V value)`
`void` `putAll(java.util.Map<? extends K,? extends V> map)`
`V` `remove(java.lang.Object key)`
`int` `size()`
`java.util.Collection<V>` `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicEMap.DelegatingMap

    public BasicEMap.DelegatingMap()

Method Detail

### eMap

    public EMap<K,V> eMap()

  Description copied from interface: `EMap.InternalMapView`
  Returns the EMap view of the map.

  Specified by:
    `eMap` in interface `EMap.InternalMapView<K,V>`
  Returns:
    the EMap view of the map.

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<K,V>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<K,V>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<K,V>`

### get

    public V get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<K,V>`

### put

    public V put(K key,
                 V value)

  Specified by:
    `put` in interface `java.util.Map<K,V>`

### remove

    public V remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<K,V>`

### putAll

    public void putAll(java.util.Map<? extends K,? extends V> map)

  Specified by:
    `putAll` in interface `java.util.Map<K,V>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<K,V>`

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,V>`

### values

    public java.util.Collection<V> values()

  Specified by:
    `values` in interface `java.util.Map<K,V>`

### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<K,V>`

### equals

    public boolean equals(java.lang.Object object)

  Specified by:
    `equals` in interface `java.util.Map<K,V>`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<K,V>`
  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.